import { registerExtension } from 'vscode/extensions';

var manifest = {name:"xml",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},categories:["Programming Languages"],contributes:{languages:[{id:"xml",extensions:[".xml",".xsd",".ascx",".atom",".axml",".axaml",".bpmn",".cpt",".csl",".csproj",".csproj.user",".dita",".ditamap",".dtd",".ent",".mod",".dtml",".fsproj",".fxml",".iml",".isml",".jmx",".launch",".menu",".mxml",".nuspec",".opml",".owl",".proj",".props",".pt",".publishsettings",".pubxml",".pubxml.user",".rbxlx",".rbxmx",".rdf",".rng",".rss",".shproj",".storyboard",".svg",".targets",".tld",".tmx",".vbproj",".vbproj.user",".vcxproj",".vcxproj.filters",".wsdl",".wxi",".wxl",".wxs",".xaml",".xbl",".xib",".xlf",".xliff",".xpdl",".xul",".xoml"],firstLine:"(\\<\\?xml.*)|(\\<svg)|(\\<\\!doctype\\s+svg)",aliases:["XML","xml"],configuration:"./xml.language-configuration.json"},{id:"xsl",extensions:[".xsl",".xslt"],aliases:["XSL","xsl"],configuration:"./xsl.language-configuration.json"}],grammars:[{language:"xml",scopeName:"text.xml",path:"./syntaxes/xml.tmLanguage.json"},{language:"xsl",scopeName:"text.xml.xsl",path:"./syntaxes/xsl.tmLanguage.json"}]},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin atom/language-xml grammars/xml.cson ./syntaxes/xml.tmLanguage.json grammars/xsl.cson ./syntaxes/xsl.tmLanguage.json"},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./syntaxes/xml.tmLanguage.json', new URL('./resources/xml.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":5618});
registerFileUrl('./syntaxes/xsl.tmLanguage.json', new URL('./resources/xsl.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":1616});
registerFileUrl('./xml.language-configuration.json', new URL('./resources/xml.language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":799});
registerFileUrl('./xsl.language-configuration.json', new URL('./resources/xsl.language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":278});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":1498});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":117});

export { whenReady };
